<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbServiceVoipTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_service__voip', function(Blueprint $table)
		{
			$table->bigInteger('id')->nullable();
			$table->integer('site_id')->nullable();
			$table->bigInteger('service_id')->nullable();
			$table->string('service_number', 10)->nullable();
			$table->string('service_address', 128)->nullable();
			$table->integer('contract_term')->nullable();
			$table->bigInteger('service_connect_date')->nullable();
			$table->bigInteger('service_contract_date')->nullable();
			$table->string('service_username', 128)->nullable();
			$table->string('service_password', 32)->nullable();
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_service__voip');
	}

}
